body {
    background-image: url('../image/bg.jpg');
}

.homepage {
    display: flex;
    position: relative;
    margin-top: 240px;
}

/* sidebar */
.sidebar {
    position: relative;
    text-align: center;
    background-color: white ;
    width: 400px;
    height: fit-content;
    border-radius: 20px;
}

.user__avatar {
    position: absolute;
    top: -120px;
    left: 50%;
    transform: translate(-50%,0);
    overflow: hidden;
    border-radius: 20px;
}

.img__user--avatar {
    width: 240px;
    height: 240px;
    border-radius: 20px;
    object-fit: cover;
}

.user__profile {
    padding-top: 140px;
    text-align: center;
    font-family: var(--font-family-secondary);
    font-size: 26px;
    font-weight: 500;
}

.badge {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    font-size: 20px;
    background: #F3F6F6;
    padding: 10px;
    border-radius: 8px;
    box-sizing: border-box;
}

.badge--white {
    width: 44px;
    height: 44px;
    font-size: 22px;
    background: white;
    padding: 11px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.08);
}

.badge--facebook {
    margin-right: 10px;
    color: #1773EA;
}

.badge--twitter {
    margin-right: 10px;
    color: #1C9CEA;
}

.badge--linkedin {
    color: #144679;
}

.badge--instagram {
    margin-right: 10px;
}

.user__profile .user__profile--label {
    display: inline-block;
    margin-top: 15px;
    padding: 5px 20px;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    background-color: #F3F6F6;
    border-radius: 8px;
}

.social--group {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.user__information {
    margin: 30px;
    padding: 30px;
    width: 280px;
    background: #F3F6F6;
    border-radius: 16px;
}

.user__information--group {
    display: flex;
}

.user__information--detail {
    text-align: left;
    margin-left: 10px;
}

.user__information--detail p {
    line-height: 24px;
}

p.user__sub--title {
    font-size: 12px;
    line-height: 18px;
    color: #44566C;
}

.badge--phone {
    color: #E93B81;
}

.badge--mail {
    color: #6AB5B9;
}

.badge--location {
    color: #FD7590;
}

.badge--birthday {
    color: #C17CEB;
}

.btn--download {
    display: inline-block;
    margin-bottom: 40px;
    background: linear-gradient(93.74deg, #FA5252 0%, #DD2476 100%);
    text-align: center;
    white-space: nowrap;
    border: 1px solid transparent;
    padding: 14px 30px;
    font-size: 18px;
    line-height: 27px;
    border-radius:10px;
}

.btn--download--text {
    display: flex;
    color: white;
}

.btn--download--text i {
    font-size: 22px;
}

.btn--download--text p {
    margin-left: 10px;
}
/* sidebar */

/* Tabs */
.tabs {
    position: absolute;
    display: flex;
    width: fit-content;
    height: fit-content;
    right: 0;
    padding: 30px;
    background-color: white;
    border-radius: 16px;
}
/* Tabs */

/* main-content */

.main__content {
    margin-left: 40px;
    margin-bottom: 60px;
}

.badge--tabs {
    flex-direction: column;
    width: 84px;
    height: 84px;
    font-size: 13px;
    color: #44566C;
    background-color: #F3F6F6;
}

.badge--tabs--account path {
    fill: #44566C;
}

.badge--tabs--active {
    background: linear-gradient(153.43deg, #FA5252 16.67%, #DD2476 100%);
    color: white;
}

.badge--tabs.badge--tabs--active path {
    fill: white;
}

.badge--tabs:not(:last-child) {
    margin-right: 20px;
}

.content {
    margin-top: 184px;
    background-color: white;
    border-radius: 16px;
}

.content .wrapper {
    padding: 60px;
}

.content__about .wrapper .sub__content p:not(:last-child) {
    margin-bottom: 20px;
}

.content .wrapper .title h1 {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}

.content .wrapper .title h1::after {
    content: "";
    display: block;
    margin-left: 30px;
    width: 200px;
    height: 3px;
    background: linear-gradient(90deg, rgba(250,82,82,1) 0%, rgba(221,36,118,1) 100%);
}

.content__about h2 {
    margin: 30px 0;
}

.content__about .about__infor .row {
    margin: -15px;
}

.card__item {
    display: flex;
    padding: 20px;
    margin: 15px;
    border-radius: 12px;
}

.card__about--ui {
    background: #FCF4FF;
}

.card--icon--ui {
    color: #D566FF;
}

.card__about--app {
    background-color: #FEFAF0;
}

.card--icon--app {
    color: #DDA10C;
}

.card__about--photography {
    background-color: #FFF4F4;
}

.card--icon--photography {
    color: #FF6080;
}

.card__about--web {
    background-color: #F3FAFF;
}

.card--icon--web {
    color: #269FFF;
}

.card--icon {
    font-size: 32px;
    margin-right: 20px;
}

.card--title {
    margin-bottom: 10px;
    font-size: 22px;
    font-weight: 500;
}

.content__about .no__wrapper {
    padding: 41px 61px;
    background-color: #F8FBFB;
}

.no__wrapper h2 {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 28px;
    font-weight: 500;
    text-align: center;
}

.brand--group {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.no__wrapper .brand--group img {
    margin-top: 33px;
}

.no__wrapper .brand--group img:not(:last-child) {
    margin-right: 50px;
}

.content__about .footer {
    text-align: center;
    padding: 20px 0;
}

/* main-content */

@media (max-width: 1199.9px) {
    .sidebar {
        width: initial;
        max-width: 400px;
    }

    .user__information {
        margin: 20px;
        padding: 20px;
        width: initial;
        max-width: 280px;
    }

    .badge--tabs {
        width: 70px;
        height: 70px;
    }

    .badge--tabs:not(:last-child) {
        margin-right: 15px;
    }

    .about__infor .col-6 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media (max-width: 991.9px) {
    .homepage {
        flex-direction: column;
        margin-top: 60px;
    }

    .tabs {
        position: fixed;
        flex-direction: column;
        left: -80px;
        padding: 10px;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.08);
        transition: 0.5s ease-in-out;
    }

    .tabs:hover {
        left: 0px;
        transition: 0.5s ease-in-out;
    }

    .badge--tabs:not(:last-child) {
        margin-right: 0;
        margin-bottom: 10px;
    }

    /*sidebar */
    .sidebar {
        display: flex;
        padding: 40px;
        max-width: inherit;
        text-align: inherit;
    }

    .user__avatar {
        display: block;
        flex: 1;
        position: initial;
        top: initial;
        left: initial;
        transform: initial;
    }

    .user__profile__information {
        flex: 1.5;
        margin-left: 30px;
    }

    .user__profile {
        padding: 0;
        text-align: initial;
    }

    .user__profile--label {
        font-size: 14px;
    }

    .social--group {
        justify-content: initial;
        margin-bottom: 20px;
    }

    .user__information hr.cl--line--hr {
        display: none;
        margin: 10px 0;
    }

    .user__information {
        display: flex;
        flex-wrap: wrap;
        margin: 0;
        padding: 0;
        max-width: initial;
        background: transparent;
    }

    .user__information .user__information--group {
        flex: 1 1 50%;
        margin-bottom: 10px;
    }

    .user__information--detail {
        font-size: 14px;
    }

    .btn--download {
        margin-bottom: 0;
    }

    .main__content {
        margin-left: 0;
    }

    .content {
        margin-top: 60px;
    }

    .brand--group {
        justify-content: space-between;
    }

    .no__wrapper .brand--group img:not(:last-child) {
        margin-right: 0;
    }
    /*sidebar */
}

@media (max-width: 767.9px) {
    .sidebar {
        flex-direction: column;
    }

    .user__avatar {
        text-align: center;
    }

    .user__profile {
        text-align: center;
    }

    .social--group {
        justify-content: center;
    }

    .btn--download {
        display: flex;
        margin: auto;
    }

    .content .wrapper .title h1 {
        font-size: 32px;
    }

    .content .wrapper .title h1::after {
        width: 120px;
        margin-left: 20px;
    }

        .content__about .footer {
        font-size: 12px;
    }
}

@media (max-width: 575.9px) {
    .sidebar {
        padding: 40px 20px;
    }

    .user__profile__information {
        margin-left: 0;
    }

    .content .wrapper {
        padding: 40px 20px;
    }
    .about__infor .card--icon {
        display: none;
    }

    .content .wrapper .title h1::after {
        width: 70px;
        margin-left: 10px;
    }
}

@media (max-width: 474.9px) {
    .no__wrapper .brand--group img {
        margin-top: 10px;
        height: 40px;
    }
}